push!(LOAD_PATH,"..")

using Documenter, SpeechDatasets
using Documenter.Remotes

include("deployconfig.jl")

makedocs(
    sitename="SpeechDatasets", 
    repo = Remotes.GitLab("gitlab.lisn.upsaclay.fr", "PTAL", "Datasets/SpeechDatasets.jl"),
    doctest = false,
)

config = GitLabHTTPS()

deploydocs(
    repo = "gitlab.lisn.upsaclay.fr/PTAL/Datasets/SpeechDatasets.jl",
    devbranch = config.commit_branch,
    branch = "docs",
    deploy_config = GitLabHTTPS()
)